<#ibizinclude>
../@MACRO/VIEW_HEADER.tsx.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_CONTENT.tsx.ftl
</#ibizinclude>

    /**
     * 视图选中数据
     *
     * @type {any[]}
     * @memberof ${srfclassname('${view.name}')}
     */
    public viewSelections:any[] = [];

    /**
     * 是否单选
     *
     * @type {boolean}
     * @memberof ${srfclassname('${view.name}')}
     */
    public isSingleSelect: boolean = true;

    /**
     * 确定
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public onClickOk(): void {
        this.$emit('viewdataschange', this.viewSelections);
        this.$emit('close', null);
    }

    /**
     * 取消
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public onClickCancel(): void {
        this.$emit('close', null);
    }

<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.tsx.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_BOTTOM.tsx.ftl
</#ibizinclude>