<#ibizinclude>
../@MACRO/VIEW_HEADER.tsx.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_CONTENT.tsx.ftl
</#ibizinclude>

    /**
     * 数据信息
     *
     * @type {*}
     * @memberof ${srfclassname('${view.name}')}
     */
    public datainfo: string = '新建';

    /**
     * 确定
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public onClickOk(): void {
        const _this: any = this;
        const form: any = this.$refs.form;
        if (!form || !(form.save instanceof Function)) {
            return;
        }
        form.save().then((response: any) => {
            if (!response || response.status !== 200) {
                return;
            }
            if (_this.viewdata) {
                _this.$emit('viewdataschange', [{ ...response.data }]);
                _this.$emit('close');
            } else {
                _this.$tabPageExp.onClose(_this.$route.fullPath);
            }
        });
    }

    /**
     * 取消
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public onClickCancel(): void {
        this.$emit('close', null);
    }

<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.tsx.ftl
</#ibizinclude>


<#ibizinclude>
../@MACRO/VIEW_BOTTOM.tsx.ftl
</#ibizinclude>