<#ibizinclude>
../@MACRO/VIEW_HEADER.tsx.ftl
</#ibizinclude>

<#assign mounted_block>
        this.viewState.next({ tag: 'appmenu', action: 'load', data: {} });
</#assign>

<#ibizinclude>
../@MACRO/VIEW_CONTENT.tsx.ftl
</#ibizinclude>

    /**
     * api地址
     *
     * @private
     * @type {string}
     * @memberof ${srfclassname('${view.name}')}
     */
    private url: string = '${app.getPKGCodeName()}/${view.getPSAppModule().codeName}/${view.codeName}.do';

    /**
     * api地址
     *
     * @private
     * @type {string}
     * @memberof ${srfclassname('${view.name}')}
     */
    private mode: string ='<#if view.getMainMenuAlign()=="TOP">horizontal</#if><#if view.getMainMenuAlign()=="LEFT" || view.getMainMenuAlign() =="">vertical</#if>';

    /**
     * 当前主题
     *
     * @readonly
     * @memberof ${srfclassname('${view.name}')}
     */
    get selectTheme() {
        if (this.$router.app.$store.state.selectTheme) {
            return this.$router.app.$store.state.selectTheme;
        } else if (localStorage.getItem('theme-class')) {
            return localStorage.getItem('theme-class');
        } else {
            return 'app-default-theme';
        }
    }

    /**
     * 当前字体
     *
     * @readonly
     * @memberof ${srfclassname('${view.name}')}
     */
    get selectFont() {
        if (this.$router.app.$store.state.selectFont) {
            return this.$router.app.$store.state.selectFont;
        } else if (localStorage.getItem('font-family')) {
            return localStorage.getItem('font-family');
        } else {
            return 'Microsoft YaHei';
        }
    }

    /**
     * 菜单收缩变化
     */
    public collapseChange: boolean = false;

    /**
     * 菜单收缩点击
     */
    public handleClick() {
        this.collapseChange = !this.collapseChange;
    }

    /**
     * 默认打开的视图
     *
     * @type {*}
     * @memberof ${srfclassname('${view.name}')}
     */
    public defPSAppView: any = {
        <#if view.getDefPSAppView()??>
        <#assign defview = view.getDefPSAppView()>
        modulename: '${defview.getPSAppModule().codeName}',
        viewname: '${defview.codeName}',
        viewtitle: '${defview.getTitle()}',
        openmode: '${defview.getOpenMode()}',
        width: ${defview.getWidth()?c},
        height: ${defview.getHeight()?c},
        </#if>
    };

    /**
     * 应用起始页面
     *
     * @type {boolean}
     * @memberof ${srfclassname('${view.name}')}
     */
    public isDefaultPage: boolean = ${view.isDefaultPage()?c};

<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.tsx.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_BOTTOM.tsx.ftl
</#ibizinclude>
