<#ibizinclude>
../@MACRO/VIEW_HEADER.tsx.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_CONTENT.tsx.ftl
</#ibizinclude>

    /**
     * 确定
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public onClickOk(): void {
        const form: any = this.$refs.form;
        if (!form) {
            return;
        }
        if (!form.save || !(form.save instanceof Function)) {
            return;
        }
        const _this: any = this;
        const _data = { srfparentdata: _this.srfparentdata };
        form.save(_data).then((response: any) => {
            if (!response || response.status !== 200) {
                return;
            }
            const { data: _data } = response;
            this.wfStart(_data);
        });
    }

    /**
     * 取消
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public onClickCancel(): void {
        this.$emit('close', null);
    }

    /**
     * 工作流提交
     *
     * @private
     * @param {*} data
     * @returns {void}
     * @memberof ${srfclassname('${view.name}')}
     */
    private wfStart(data: any): void {
        const form: any = this.$refs.form;
        if (!form) {
            return;
        }
        if (!form.wfstart || !(form.wfstart instanceof Function)) {
            return;
        }

        const _this: any = this;
        const _data = { srfparentdata: _this.srfparentdata };
        Object.assign(_data, data);
        form.wfstart(_data).then((response: any) => {
            if (!response || response.status !== 200) {
                return;
            }
        });
    }

<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.tsx.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_BOTTOM.tsx.ftl
</#ibizinclude>